# Uses of Class
org.jmol.viewer.MouseState

Packages that use MouseState
Package
Description
org.jmol.modelkit
org.jmol.thread
org.jmol.viewer

## Uses of MouseState in org.jmol.modelkit

Methods in org.jmol.modelkit with parameters of type MouseState
Modifier and Type
Method
Description
`boolean`
ModelKit.`handleAssignNew(MouseState pressed, MouseState dragged, MeasurementPending mp, int dragAtomIndex, int key)`
handle a mouse-generated assignNew event

## Uses of MouseState in org.jmol.thread

Constructors in org.jmol.thread with parameters of type MouseState
Modifier
Constructor
Description
``
`HoverWatcherThread(ActionManager actionManager, MouseState current, MouseState moved, Viewer vwr)`

## Uses of MouseState in org.jmol.viewer

Fields in org.jmol.viewer declared as MouseState
Modifier and Type
Field
Description
`protected MouseState`
ActionManager.`clicked`
`protected MouseState`
ActionManager.`current`
`protected MouseState`
ActionManager.`dragged`
`protected MouseState`
ActionManager.`moved`
`protected MouseState`
ActionManager.`pressed`
Methods in org.jmol.viewer with parameters of type MouseState
Modifier and Type
Method
Description
`boolean`
MouseState.`is(MouseState current)`